﻿<UserControl x:Class="RegistroElettronicoMVVM.View.Controls.ControlMenuList"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:viewmodel="clr-namespace:RegistroElettronicoMVVM.ViewModel"
             xmlns:local="clr-namespace:RegistroElettronicoMVVM.View.Controls"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             Background="{DynamicResource MaterialDesignPaper}"
             FontFamily="{DynamicResource MaterialDesignFont}"
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300">
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto">
            <ListView ItemsSource="{Binding Items}" SelectedItem="{Binding SelectedItem}" SelectionChanged="ListView_SelectionChanged" SelectedIndex="{Binding SelectedIndex}">
                <ListView.ItemTemplate>
                    <DataTemplate>
                        <local:ControlMenuListItem HorizontalAlignment="Stretch" />
                    </DataTemplate>
                </ListView.ItemTemplate>
                <ListView.ItemContainerStyle>
                    <Style TargetType="ListViewItem">
                        <Setter Property="Padding" Value="0" />
                        <Setter Property="Margin" Value="0" />
                        <Setter Property="BorderThickness" Value="0" />
                        <Setter Property="HorizontalContentAlignment" Value="Stretch"/>
                        <Setter Property="IsSelected" Value="{Binding IsSelected}" />
                    </Style>
                </ListView.ItemContainerStyle>
            </ListView>
        </ScrollViewer>
    </Grid>
</UserControl>
